\name{dir.browse}
\alias{dir.browse}
\title{Text-based interactive directory selection.}
\usage{
  dir.browse(root = getwd(), multiple = FALSE,
    title = sprintf("Select a directory"), .select = FALSE)
}
\arguments{
  \item{root}{the root directory to explore (default
  current working directory)}

  \item{multiple}{boolean specifying whether to allow
  multiple directories to be selected}

  \item{title}{what gets printed before the menu.}

  \item{.select}{*internal* argument, how the function
  works out whether you're trying to select a directory or
  browse it.}
}
\value{
  character vector of selected directories.
}
\description{
  Text-based interactive directory selection.
}
\note{
  This could be a bit buggy, due to the fact that it's a
  little hard to tell whether a user wishes to browse into
  a directory, or select it.
}
\examples{
\dontrun{
d <- dir.browse()
}
}
\seealso{
  \code{\link{file.browse}} for a similar functionality for
  directories.

  Other file: \code{\link{createFilename}},
  \code{\link{file.browse}}, \code{\link{getExtension}},
  \code{\link{getFilename}},
  \code{\link{getUniqueFilename}},
  \code{\link{makeIfNotExists}}
}

