\name{is.empty}
\alias{is.empty}
\title{See if an argument is na, null, or length 0 (syntactic sugar).}
\usage{
  is.empty(x)
}
\arguments{
  \item{x}{object to check}
}
\value{
  boolean, TRUE if it is na, null OR length 0.
}
\description{
  See if an argument is na, null, or length 0 (syntactic
  sugar).
}
\note{
  syntactic sugar for \code{is.null(x) || is.na(x) ||
  length(x)==0}. Note that the empty string ("") is NOT
  "empty" in this sense.
}
\examples{
is.empty(NA)          # true
is.empty(NULL)        # true
is.empty(character()) # true, length 0
is.empty("")          # false, this has length 1.
}

