\name{sortPointsRectangle}
\alias{sortPointsRectangle}
\title{sort vertices in a rectangle in anticlockwise fashion.}
\usage{
  sortPointsRectangle(pts, anticlockwise = TRUE,
    verbose = FALSE, shift = FALSE, preserveStart = FALSE,
    index.return = FALSE)
}
\arguments{
  \item{pts}{the input points, nx2, colnames 'X' and 'Y'}

  \item{anticlockwise}{boolean, whether to return points in
  anticlockwise or clockwise fashion (default TRUE)}

  \item{verbose}{default FALSE, whether to print results}

  \item{shift}{default FALSE, whether to return results
  relative to origin}

  \item{preserveStart}{default FALSE, whether to start at
  the first input coordinate and proceed anticlockwise/
  clockwise from there, or to start from the lower-left
  corner ('origin')}

  \item{index.return}{default FALSE, whether to return the
  indices into the original "pts" that reorder as
  specified.}
}
\value{
  the pts structure with columns 'X','Y', and rows sorted
  in anticlockwise or clockwise order.  If "index.return"
  is TRUE, returns a list: \describe{ \item{x}{the points
  array} \item{ix}{indices into "pts" that reorder it into
  output$x} } Additionally, the row-names of the output are
  labelled "bottom-left", "bottom-right", "top-left", and
  "top-right", based on an X-Y coordinate system, 0 being
  in the bottom left, increasing moving left-to-right and
  bottom-to-top.
}
\description{
  sort vertices in a rectangle in anticlockwise fashion.
}

