\name{trim}
\alias{trim}
\title{trim white spaces from a string}
\usage{
  trim(x, side = c("both", "left", "right"), what = "\\s")
}
\arguments{
  \item{x}{string or vector of strings to trim}

  \item{what}{what to trim (interpreted as regex): '\\s' is
  all white space, could use ' ' for just plain spaces.}

  \item{side}{One of 'both','left','right': which side(s)
  to trim.}
}
\value{
  x trimmed.
}
\description{
  This trims all white spaces from specified sides of a
  string.
}
\examples{
x <- '   a   '
trim(x,side='left')  # 'a   '
trim(x,side='right') # '   a'
trim(x)              # 'a'

y <- 'One line\\nTwo lines\\n\\n  '
trim(y)              # 'One line\\nTwo lines'
trim(y,what=' ')     # 'One line\\nTwo lines\\n\\n' (trimmed just space)
}

